<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['menu-btn22'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm.php"; exit();}

if(empty($_POST['izd'])) {puterror($result2['skin'],$TEXT['error-izd1']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['izd'])>255) {puterror($result2['skin'],$TEXT['error-izd2']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['addr'])>255) {puterror($result2['skin'],$TEXT['error-izd10']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['tip_pr'])>5) {puterror($result2['skin'],$TEXT['error-izd11']); require_once "../utils/bottom_adm.php"; exit();}

if(isset($_POST['izd'])) {$izd=trim($_POST['izd']);}
 else {$izd ="";}
  if(empty($izd)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm.php"; exit();}

$_POST['izd'] = rep($_POST['izd']);
$_POST['addr'] = rep($_POST['addr']);
$_POST['tip_pr'] = rep($_POST['tip_pr']);

$query10 = mysqli_query($dbcnx,"SELECT COUNT(`izd_id`) AS c_izd_id FROM `tbl_izdatelstvo` WHERE `izdatelstvo`='".$_POST['izd']."' AND use_prog='1' ");
$result10 = mysqli_fetch_array($query10);
 if($result10['c_izd_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-izd1'];
  $what = $_POST['izd'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "INSERT INTO `tbl_izdatelstvo` ( `izd_id`, `izdatelstvo`, `site_protocol`, `site_name`, `use_prog` ) VALUES ( NULL, '".$_POST['izd']."', '".$_POST['tip_pr']."', '".$_POST['addr']."', '1' )";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl6']); require_once "../utils/bottom_adm.php"; exit();}
require_once "../utils/bottom_adm.php";
?>